Bug 1045963 - Review Request: ghc-gtk3 - Binding to the Gtk+ graphical user interface library
Summary: Review Request: ghc-gtk3 - Binding to the Gtk+ graphical user interface library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pranav Kant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks: 1233572
TreeView+ depends on / blocked
 
Reported: 2013-12-23 03:39 UTC by Jens Petersen
Modified: 2015-12-17 03:45 UTC (History)
6 users (show)

Fixed In Version: 0.14.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-11 18:23:16 UTC
pranav913: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2013-12-23 03:39:54 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-gtk3.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-gtk3-0.12.5.0-1.fc20.src.rpm

Description:
This is the core library of the Gtk2Hs suite of libraries for Haskell based on
Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating
graphical user interfaces.

Comment 1 Jens Petersen 2013-12-23 03:39:59 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6327227

Comment 2 Jens Petersen 2013-12-23 05:09:31 UTC
Note this package will only build currently in F21 Rawhide
since it needs the gtk2hs 0.12.5 stack to build
(I plan to backport them sooner or later to F20).

Comment 3 Jens Petersen 2014-01-29 10:22:12 UTC
(It should build on F20 too now.)

I am wondering if this package should conflict with ghc-gtk.
It doesn't conflict in filespace or using Cabal to build
but it does in module name space: ie ghc --make doesn't
know whether to use gtk or gtk3 for Gtk modules...
As I said if you stick to Cabal building there is no problem,
otherwise one get errors like:

/home/User/.config/hbro/hbro.hs:30:8:
    Ambiguous module name `Graphics.UI.Gtk.Windows.Window':
      it was found in multiple packages: gtk-0.12.5.0 gtk3-0.12.5.0

Comment 4 Jens Petersen 2014-06-03 05:36:35 UTC
Latest release is now 0.12.5.7 but releases > 0.12.5.2 need newer
glib, pango, cairo.

Comment 7 Pranav Kant 2015-06-28 10:09:10 UTC
Few points I noted :

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 32122880 bytes in 678 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

- I am not sure about this, but maybe make it a hardened build ? Though,
  this is by default in F23.

- s/Gtk+/Gtk+3/g in "Summary" ? to better reflect that it is for Gtk+3
  and not Gtk+2 ?

Comment 8 Jens Petersen 2015-06-29 12:52:49 UTC
Thanks Pranav for looking at the package.

(In reply to Pranav Kant from comment #7)
> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: License file COPYING is marked as %doc instead of %license

Thanks - I changed this in cabal-rpm.git.

Fixing

> - Large documentation must go in a -doc subpackage. Large could be size
>   (~1MB) or number of files.
>   Note: Documentation size is 32122880 bytes in 678 files.
>   See:
>   http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

See bug 1149850.

I would like to fix this for F23, since it should really
be done across all packages otherwise it is really hard
to know which packages have doc subpackages or not -
ie when to require/buildrequire across packages.

> - I am not sure about this, but maybe make it a hardened build ? Though,
>   this is by default in F23.

I think ghc-rpm-macros already tries to do the hardening as possible
for builds: currently it does most of the CFLAGS but not LDFLAGS
since they seemed to break ghc linking completely.  Maybe it can
be improved more for F23 perhaps.

> - s/Gtk+/Gtk+3/g in "Summary" ? to better reflect that it is for Gtk+3
>   and not Gtk+2 ?

Okay I am changing it to "Gtk+ 3", thanks for the suggestion.

I made a pull request upstream to reduce the cblrpm (cabal-rpm) diff:

https://github.com/gtk2hs/gtk2hs/pull/111


* Mon Jun 29 2015 Jens Petersen <petersen@redhat.com> - 0.13.8-1
- update to 0.13.8
- mention Gtk+3 in summary (#1045963)
- use %%license (#1045963)

Spec: http://petersen.fedorapeople.org/reviews/ghc-gtk3/ghc-gtk3.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-gtk3/ghc-gtk3-0.13.8-1.fc22.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10238318

Comment 9 Jens Petersen 2015-06-29 13:37:44 UTC
Okay I need to make some packaging tweaks to handle %license,
in ghc-rpm-macros I think...

Comment 10 Jens Petersen 2015-07-09 09:54:48 UTC
(In reply to Jens Petersen from comment #9)
> Okay I need to make some packaging tweaks to handle %license,
> in ghc-rpm-macros I think...

Fixed now in cabal-rpm.git.

Hopefully this one builds with %license:

Spec: http://petersen.fedorapeople.org/reviews/ghc-gtk3/ghc-gtk3.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-gtk3/ghc-gtk3-0.13.8-2.fc22.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10327509

Comment 11 Jens Petersen 2015-07-22 08:08:34 UTC
Ping Pranav :)

Are you able to continue the review?

Comment 12 Pranav Kant 2015-07-23 16:38:05 UTC
Hi Jens,

Most of it looks fine to me now, but I have few uncleared doubts.

* Why the shared object file provided by the base package is unversioned. I think there is a bug related to this for all ghc packages, but I can't find it, right ?

If there is nothing like that, we should probably version this, and move the unversioned one to the -devel package ?

* Why there is no -debuginfo package ? I think the similar reason as above holds here also for ghc packages ?

Comment 13 Jens Petersen 2015-07-28 10:33:56 UTC
Thanks for following up.

(In reply to Pranav Kant from comment #12)
> * Why the shared object file provided by the base package is unversioned. I
> think there is a bug related to this for all ghc packages, but I can't find
> it, right ?

Right this is currently how ghc names shared libraries.
The filenames are actually "versioned" - it is just that the version
comes before the .so extension.

I am happy to open a bug for that against ghc but I hope it need not
block this review: it is not something we can fix in this package anyway.
But note that ghc does not have the notion of major/minor libraries
versions - every version bumps needs rebuilds anyway.

> If there is nothing like that, we should probably version this, and move the
> unversioned one to the -devel package ?

I think it might be better to patch ghc to change how it names .so files:
need to think a bit more.  Basically it is how ghc has named them
since it started supporting shared libraries many releases ago now.

> * Why there is no -debuginfo package ? I think the similar reason as above
> holds here also for ghc packages ?

ghc-7.10 should introduce support for dwarf debuginfo I think,
so I decided to wait with debuginfo until then -
I don't think it is useful currently with ghc-7.8.

Comment 14 Pranav Kant 2015-07-28 10:40:57 UTC
Other than that, everything seems to be OK to me.

Comment 15 Jens Petersen 2015-08-06 07:49:56 UTC
Dunno if you have seen the Haskell Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Haskell

They explicitly mention that debuginfo is currently disabled.


It might be good to add a similar explicit exception for the .so file naming
to avoid such confusion, but given that there are no conventional symlinks,
and ghc always names and links shared libraries by full name including
version and ghc-version, there isn't really any problem here.
And the package library subdirs are not in the ld path anyway.

Comment 16 Jens Petersen 2015-08-25 04:02:04 UTC
One further point: python packages also seem to have ".so" files
and don't have any exception in the guidelines either -
and not needed since they are not in the ld path.

Pranav: any chance you can complete the review here?
I don't think there is anything left to do.

Comment 17 Pranav Kant 2015-08-30 17:13:12 UTC
Sorry for the delay. 


Package Review
==============
 
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
  
Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
   
  But I don't have any problem with this now. Refer to Comment 7
 
===== MUST items =====
 
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 32727040 bytes in /usr/share ghc-
     gtk3-devel-0.13.8-2.fc24.x86_64.rpm:32696320

[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: ghc-gtk3-0.13.8-2.fc24.x86_64.rpm
          ghc-gtk3-devel-0.13.8-2.fc24.x86_64.rpm
          ghc-gtk3-0.13.8-2.fc24.src.rpm
ghc-gtk3.x86_64: W: spelling-error %description -l en_US Gtk -> Gk, Gt, Gt k
ghc-gtk3.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
ghc-gtk3.x86_64: W: no-documentation
ghc-gtk3.src: W: spelling-error %description -l en_US Gtk -> Gk, Gt, Gt k
ghc-gtk3.src: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 0 specfiles checked; 0 errors, 5 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
ghc-gtk3.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
 
 
 
Requires
--------
ghc-gtk3 (rpmlib, GLIBC filtered):
    ghc(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc(cairo-0.13.0.6-928d2edf1e04322c79ce1bf1cc89cf1b)
    ghc(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc(gio-0.13.1.0-ac32efefa85d87eec2d88a0b67be900c)
    ghc(glib-0.13.1.1-c70dd9960ce47c034963832def4ef927)
    ghc(mtl-2.1.3.1-96f1a7910a7553352339ed05fb61c269)
    ghc(pango-0.13.1.0-2396e9fdda33a0f2ea831675a12484d7)
    ghc(text-1.1.1.3-41a1b42bfbf393e802c95c88f57d2452)
    libHSarray-0.5.0.0-ghc7.8.4.so()(64bit)
    libHSbase-4.7.0.2-ghc7.8.4.so()(64bit)
    libHSbytestring-0.10.4.0-ghc7.8.4.so()(64bit)
    libHScairo-0.13.0.6-ghc7.8.4.so()(64bit)
    libHScontainers-0.5.5.1-ghc7.8.4.so()(64bit)
    libHSdeepseq-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSdirectory-1.2.1.0-ghc7.8.4.so()(64bit)
    libHSfilepath-1.3.0.2-ghc7.8.4.so()(64bit)
    libHSghc-prim-0.3.1.0-ghc7.8.4.so()(64bit)
    libHSgio-0.13.1.0-ghc7.8.4.so()(64bit)
    libHSglib-0.13.1.1-ghc7.8.4.so()(64bit)
    libHSinteger-gmp-0.5.1.0-ghc7.8.4.so()(64bit)
    libHSmtl-2.1.3.1-ghc7.8.4.so()(64bit)
    libHSold-locale-1.0.0.6-ghc7.8.4.so()(64bit)
    libHSpango-0.13.1.0-ghc7.8.4.so()(64bit)
    libHSpretty-1.1.1.1-ghc7.8.4.so()(64bit)
    libHSprocess-1.2.0.0-ghc7.8.4.so()(64bit)
    libHStext-1.1.1.3-ghc7.8.4.so()(64bit)
    libHStime-1.4.2-ghc7.8.4.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.8.4.so()(64bit)
    libHSunix-2.7.0.1-ghc7.8.4.so()(64bit)
    libHSutf8-string-0.3.8-ghc7.8.4.so()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmp.so.10()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
 
ghc-gtk3-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(gtk3-0.13.8-5400cd87d203f5b236e8b1c7dc266490)
    ghc-compiler
    ghc-devel(array-0.5.0.0-ce080a527b3819e94d851f7f80ca77dd)
    ghc-devel(base-4.7.0.2-cb23b5265b6e147094c0cd9ac819acb1)
    ghc-devel(bytestring-0.10.4.0-e82797828c29adab75d6eb4b53384f09)
    ghc-devel(cairo-0.13.0.6-928d2edf1e04322c79ce1bf1cc89cf1b)
    ghc-devel(containers-0.5.5.1-d7910f1cd81272c1f31ca9f71d0f206e)
    ghc-devel(gio-0.13.1.0-ac32efefa85d87eec2d88a0b67be900c)
    ghc-devel(glib-0.13.1.1-c70dd9960ce47c034963832def4ef927)
    ghc-devel(mtl-2.1.3.1-96f1a7910a7553352339ed05fb61c269)
    ghc-devel(pango-0.13.1.0-2396e9fdda33a0f2ea831675a12484d7)
    ghc-devel(text-1.1.1.3-41a1b42bfbf393e802c95c88f57d2452)
    ghc-gtk3(x86-64)
    pkgconfig(gthread-2.0)
    pkgconfig(gtk+-3.0)
 
 
 
Provides
--------
ghc-gtk3:
    ghc(gtk3-0.13.8-5400cd87d203f5b236e8b1c7dc266490)
    ghc-gtk3
    ghc-gtk3(x86-64)
    libHSgtk3-0.13.8-ghc7.8.4.so()(64bit)
 
ghc-gtk3-devel:
    ghc-devel(gtk3-0.13.8-5400cd87d203f5b236e8b1c7dc266490)
    ghc-gtk3-devel
    ghc-gtk3-devel(x86-64)
    ghc-gtk3-static
 
 
 
Unversioned so-files
--------------------
ghc-gtk3: /usr/lib64/ghc-7.8.4/gtk3-0.13.8/libHSgtk3-0.13.8-ghc7.8.4.so
 
Source checksums
----------------
https://hackage.haskell.org/package/gtk3-0.13.8/gtk3-0.13.8.tar.gz :
  CHECKSUM(SHA256) this package     : f3923ad4471aeea07c8f1fb6ddb24f18f5ae9ae6990a9b95f88382f06c6ee1a3
  CHECKSUM(SHA256) upstream package : f3923ad4471aeea07c8f1fb6ddb24f18f5ae9ae6990a9b95f88382f06c6ee1a3
 

Looks good to me.

Comment 18 Jens Petersen 2015-08-31 08:34:36 UTC
Thank you very much, Pranav

Comment 19 Jens Petersen 2015-09-01 00:21:14 UTC
New Package SCM Request
=======================
Package Name: ghc-gtk3
Short Description: Binding to Gtk+ 3
Upstream URL: https://hackage.haskell.org/package/gtk3
Owners: petersen
Branches: f23 f22 f21 epel7 el6
InitialCC: haskell-sig

Comment 20 Jens Petersen 2015-09-01 00:22:49 UTC
0.14.1 is out, so I will update to it after importing the srpm.

Comment 21 Gwyn Ciesla 2015-09-01 14:41:04 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2015-09-03 08:02:26 UTC
ghc-gtk3-0.14.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14938

Comment 23 Fedora Update System 2015-09-03 08:10:38 UTC
ghc-gtk3-0.14.1-1.fc22 gtk2hs-buildtools-0.13.0.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14925

Comment 24 Fedora Update System 2015-09-04 07:30:08 UTC
ghc-gtk3-0.14.1-1.fc22, gtk2hs-buildtools-0.13.0.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ghc-gtk3 gtk2hs-buildtools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14925

Comment 25 Fedora Update System 2015-09-04 07:34:06 UTC
ghc-gtk3-0.14.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update ghc-gtk3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14938

Comment 26 Jens Petersen 2015-09-04 11:25:05 UTC
Just for the record I tried to backport to 0.12.5 for F21 and EPEL7
but the build fails (with ghc-7.6.3 stack) like this:

[117 of 198] Compiling Graphics.UI.Gtk.Multiline.TextTagTable ( dist/build/Graphics/UI/Gtk/Multiline/TextTagTable.hs, dist/build/Graphics/UI/Gtk/Multiline/TextTagTable.o )
Graphics/UI/Gtk/Multiline/TextTagTable.chs:88:3:
    Couldn't match type `CInt' with `()'
    Expected type: IO ()
      Actual type: IO CInt
    In the return type of a call of `\ (TextTagTable arg1)
                                       (TextTag arg2)
                                       -> withForeignPtr arg1
                                          $ \ argPtr1 -> withForeignPtr arg2 $ \ argPtr2 -> ...'
    In the expression:
      (\ (TextTagTable arg1) (TextTag arg2)
         -> withForeignPtr arg1
            $ \ argPtr1
                -> withForeignPtr arg2
                   $ \ argPtr2 -> gtk_text_tag_table_add argPtr1 argPtr2)
        (toTextTagTable self) (toTextTag tag)
    In an equation for `textTagTableAdd':
        textTagTableAdd self tag
          = (\ (TextTagTable arg1) (TextTag arg2)
               -> withForeignPtr arg1
                  $ \ argPtr1 -> withForeignPtr arg2 $ \ argPtr2 -> ...)
              (toTextTagTable self) (toTextTag tag)

Also tried latest current gtk2hs-buildtools but that doesn't help.
I guess it is an issue with ghc-7.6 probably.

Comment 27 Fedora Update System 2015-09-14 23:19:20 UTC
ghc-gtk3-0.14.1-1.fc22, gtk2hs-buildtools-0.13.0.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-09-18 18:49:57 UTC
ghc-gtk3-0.14.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Jens Petersen 2015-10-09 08:53:36 UTC
Actually it seems to build for EPEL7 x86_64.

Comment 30 Fedora Update System 2015-10-09 09:03:08 UTC
ghc-gtk3-0.12.5.2-1.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b2d0c4b8b1

Comment 31 Fedora Update System 2015-10-12 18:50:23 UTC
ghc-gtk3-0.12.5.2-1.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update ghc-gtk3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b2d0c4b8b1

Comment 32 Fedora Update System 2015-11-11 18:23:13 UTC
ghc-gtk3-0.12.5.2-1.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.